{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 01-10-2002
  Versión actual: 1.0.1
  Fecha versión actual: 28-05-2004
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
    28/05/2004    Se han adaptado los frames para que se autoconfiguren
===============================================================================
}

unit RdxFrameListadoPagosCliente;

{$I ..\COMPILE.INC}

interface

uses
  Windows, Classes,
  RdxFrame, RdxDBFrame, IBCustomDataSet, DB, Entidades;

type
  TRdxFrameListadoPagosCliente = class(TRdxDBFrame)
  private
    FCodigoCliente : Variant;
    FTablaFacturas : TIBDataSet;
    FTablaPagos : TIBDataSet;
    FTablaClientesPagos : TIBDataSet;    
  protected
    procedure SetTablaFacturas (Value : TIBDataSet);
    procedure SetTablaPagos (Value : TIBDataSet);
    procedure SetTablaClientesPagos (Value : TIBDataSet);
    procedure SetCodigoCliente (Value : Variant);
    procedure RecargarDatos; virtual; abstract;
    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    property TablaFacturas: TIBDataSet read FTablaFacturas write SetTablaFacturas;
    property TablaPagos: TIBDataSet read FTablaPagos write SetTablaPagos;
    property TablaClientesPagos: TIBDataSet read FTablaClientesPagos write SetTablaClientesPagos;    
    property CodigoCliente : Variant read FCodigoCliente write SetCodigoCliente;

    constructor Create (AOwner : TComponent); override;
  published
  end;

implementation

{$R *.DFM}

uses
  StrFunc, Mensajes, Literales, Configuracion
  {$IFDEF RDX_D6}, Variants{$ENDIF};

{ TRdxFrameArticulos }

function TRdxFrameListadoPagosCliente.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;

constructor TRdxFrameListadoPagosCliente.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FTablaFacturas := NIL;
  FTablaPagos := NIL;
  FTablaClientesPagos := NIL;  
end;

procedure TRdxFrameListadoPagosCliente.SetCodigoCliente(Value: Variant);
begin
  if ((esCadenaVacia(Value)) or (FCodigoCliente = Value)) then
    exit;

    FCodigoCliente := Value;
    RecargarDatos;
end;

procedure TRdxFrameListadoPagosCliente.SetTablaClientesPagos(Value: TIBDataSet);
begin
  if (FTablaClientesPagos <> Value) then
  begin
    FTablaClientesPagos := Value;
  end;
end;

procedure TRdxFrameListadoPagosCliente.SetTablaFacturas(Value: TIBDataSet);
begin
  if (FTablaFacturas <> Value) then
  begin
    FTablaFacturas := Value;
  end;
end;

procedure TRdxFrameListadoPagosCliente.SetTablaPagos(Value: TIBDataSet);
begin
  if (FTablaPagos <> Value) then
  begin
    FTablaPagos := Value;
  end;
end;

end.
